public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/haml/
Date: Sat,  2 Jun 2018 06:01:30 +0000 (UTC)	[thread overview]
Message-ID: <1527919280.e861d158ff44b0eeb185cdad89ad6251162285b6.graaff@gentoo> (raw)

commit:     e861d158ff44b0eeb185cdad89ad6251162285b6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  2 06:00:30 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun  2 06:01:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e861d158

dev-ruby/haml: allow parallel installation of slots

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-ruby/haml/haml-4.0.7-r2.ebuild | 49 ++++++++++++++++++++++++++++++++++++++
 dev-ruby/haml/haml-5.0.4.ebuild    |  2 +-
 2 files changed, 50 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/haml/haml-4.0.7-r2.ebuild b/dev-ruby/haml/haml-4.0.7-r2.ebuild
new file mode 100644
index 00000000000..f2c698f635d
--- /dev/null
+++ b/dev-ruby/haml/haml-4.0.7-r2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+RUBY_FAKEGEM_TASK_DOC="-Ilib doc"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md FAQ.md README.md REFERENCE.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A ruby web page templating engine"
+HOMEPAGE="http://haml-lang.com/"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="doc test"
+
+RDEPEND="${RDEPEND} !!<dev-ruby/haml-3.1.8-r2"
+
+ruby_add_rdepend "dev-ruby/tilt:*"
+
+ruby_add_bdepend "
+	test? (
+		dev-ruby/minitest:5
+		dev-ruby/nokogiri
+		dev-ruby/rails:4.2
+		dev-ruby/bundler
+	)
+	doc? (
+		dev-ruby/yard
+		>=dev-ruby/maruku-0.7.2-r1
+	)"
+
+all_ruby_prepare() {
+	# Remove test that fails when RedCloth is available
+	sed -i -e "/should raise error when a Tilt filters dependencies are unavailable for extension/,+9 s/^/#/"\
+		test/filters_test.rb || die
+	# Avoid tests that are fragile for whitespace
+	sed -i -e '/test_\(text_area\|partials_should_not_cause_textareas\)/,/^  end/ s:^:#:' test/helper_test.rb || die
+}

diff --git a/dev-ruby/haml/haml-5.0.4.ebuild b/dev-ruby/haml/haml-5.0.4.ebuild
index 5edf1735412..22d89343e9a 100644
--- a/dev-ruby/haml/haml-5.0.4.ebuild
+++ b/dev-ruby/haml/haml-5.0.4.ebuild
@@ -25,7 +25,7 @@ KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-
 
 IUSE="doc test"
 
-RDEPEND="${RDEPEND} !!<dev-ruby/haml-3.1.8-r2"
+RDEPEND="${RDEPEND} !!<dev-ruby/haml-4.0.7-r2"
 
 ruby_add_rdepend ">=dev-ruby/temple-0.8.0 dev-ruby/tilt:*"
 


             reply	other threads:[~2018-06-02  6:01 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-02  6:01 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-18 16:11 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/haml/ Arthur Zamarin
2024-10-06 10:46 Sam James
2024-10-06 10:46 Sam James
2024-10-06 10:46 Sam James
2024-06-02  7:00 Hans de Graaff
2024-04-03 15:40 Hans de Graaff
2023-12-29 16:45 Arthur Zamarin
2023-12-24 14:22 Sam James
2023-12-24 11:12 Sam James
2023-12-24 11:00 Hans de Graaff
2023-12-24 11:00 Hans de Graaff
2023-12-22  8:08 Hans de Graaff
2023-11-04  7:06 Hans de Graaff
2023-09-28  4:38 Hans de Graaff
2023-08-29 17:19 Hans de Graaff
2023-08-19  5:14 Hans de Graaff
2023-08-11 19:24 Hans de Graaff
2023-04-11 17:52 Jakov Smolić
2023-04-09  2:34 Sam James
2023-04-07 18:25 Sam James
2023-04-07 11:25 Sam James
2023-01-14  7:31 Hans de Graaff
2023-01-13  7:57 Hans de Graaff
2023-01-13  7:57 Hans de Graaff
2022-10-02 17:03 Hans de Graaff
2022-04-08  5:32 Hans de Graaff
2022-03-26  7:48 Hans de Graaff
2021-11-08  2:51 Yixun Lan
2021-10-04  1:30 Sam James
2021-10-04  1:30 Sam James
2021-10-04  1:21 Sam James
2021-10-04  1:21 Sam James
2021-10-04  1:21 Sam James
2021-10-04  0:49 Sam James
2021-10-03  7:55 Hans de Graaff
2021-08-23 17:38 Hans de Graaff
2021-07-16  9:31 Hans de Graaff
2021-07-16  6:20 Hans de Graaff
2021-04-18  6:13 Hans de Graaff
2021-04-18  6:13 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2020-04-19  5:44 Hans de Graaff
2019-11-27 13:06 Mikle Kolyada
2019-11-13  7:44 Agostino Sarubbo
2019-11-13  7:39 Agostino Sarubbo
2019-11-12 15:08 Agostino Sarubbo
2019-11-12 10:05 Agostino Sarubbo
2019-11-11 18:59 Hans de Graaff
2019-11-11 18:59 Hans de Graaff
2019-08-06 18:56 Hans de Graaff
2019-07-17  7:17 Hans de Graaff
2019-06-30  5:24 Hans de Graaff
2019-05-25  5:38 Hans de Graaff
2019-05-17  4:31 Hans de Graaff
2019-05-16  4:32 Hans de Graaff
2019-05-01 19:56 Hans de Graaff
2019-01-22 16:28 Hans de Graaff
2018-07-10 17:45 Hans de Graaff
2018-06-06 23:23 Thomas Deutschmann
2018-06-02 13:50 Mikle Kolyada
2018-06-02  6:01 Hans de Graaff
2018-05-23  4:47 Hans de Graaff
2018-05-06 18:52 Hans de Graaff
2018-01-25  6:34 Hans de Graaff
2017-12-09  7:55 Hans de Graaff
2017-09-28  5:36 Hans de Graaff
2017-08-03  4:41 Hans de Graaff
2017-07-17  6:21 Hans de Graaff
2017-07-03  9:12 Alexis Ballier
2017-06-01  5:10 Hans de Graaff
2017-06-01  5:10 Hans de Graaff
2017-02-27 18:55 Michael Weber
2017-01-20  6:40 Hans de Graaff
2016-04-29  7:36 Hans de Graaff
2016-04-29  7:36 Hans de Graaff
2016-01-17 20:56 Manuel Rüger
2015-08-11  5:05 Hans de Graaff
2015-08-11  5:05 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1527919280.e861d158ff44b0eeb185cdad89ad6251162285b6.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox